> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Transition History

> Lists PersonTransitionEvent records for a roleInOrg via PersonTransitionService.

Not available to API keys.

## OpenAPI

````yaml api-reference/openapi.json GET /hris/get-transition-history
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /hris/get-transition-history:
    get:
      operationId: getTransitionHistory
      summary: Get Transition History
      description: >-
        Lists PersonTransitionEvent records for a roleInOrg via
        PersonTransitionService.


        Not available to API keys.
      parameters:
        - name: roleInOrgID
          in: query
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetTransitionHistoryResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    GetTransitionHistoryResponse:
      type: object
      properties:
        events:
          type: array
          items:
            type: object
            properties:
              personTransitionEventID:
                type: string
              roleInOrgID:
                type:
                  - string
                  - 'null'
              orgID:
                type: string
              previousEmploymentType:
                type:
                  - string
                  - 'null'
                enum:
                  - CONTRACTOR
                  - EMPLOYEE
                  - EX_EMPLOYEE
                  - ADVISOR
                  - SERVICE_PROVIDER
                  - OTHER
                  - null
              newEmploymentType:
                type: string
                enum:
                  - CONTRACTOR
                  - EMPLOYEE
                  - EX_EMPLOYEE
                  - ADVISOR
                  - SERVICE_PROVIDER
                  - OTHER
              previousRole:
                type:
                  - string
                  - 'null'
                enum:
                  - TOKU_ADMIN
                  - CLIENT_ORG_ADMIN
                  - CLIENT_ORG_APPROVER
                  - FINANCE_ADMIN
                  - USER
                  - INVESTOR
                  - SUB_INVESTOR
                  - SUB_RECIPIENT
                  - null
              newRole:
                type:
                  - string
                  - 'null'
                enum:
                  - TOKU_ADMIN
                  - CLIENT_ORG_ADMIN
                  - CLIENT_ORG_APPROVER
                  - FINANCE_ADMIN
                  - USER
                  - INVESTOR
                  - SUB_INVESTOR
                  - SUB_RECIPIENT
                  - null
              performedByID:
                type:
                  - string
                  - 'null'
              occurredAt:
                type: string
              reason:
                type:
                  - string
                  - 'null'
              metadata: {}
              previousContractEndDate:
                type:
                  - string
                  - 'null'
            required:
              - personTransitionEventID
              - roleInOrgID
              - orgID
              - previousEmploymentType
              - newEmploymentType
              - previousRole
              - newRole
              - performedByID
              - occurredAt
              - reason
              - metadata
              - previousContractEndDate
      required:
        - events
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
